import * as $dara from '@darabonba/typescript';
import { CreateIpv6GatewayResponseBody } from "./CreateIpv6gatewayResponseBody";
export declare class CreateIpv6GatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateIpv6GatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
